uniform sampler2D coltex;
uniform float distort;

varying float dist;
varying vec4 col;
varying vec2 coords;

void main(void) {
//  vec4 tcol=texture2D(coltex, gl_TexCoord[0].xy);
  vec4 tcol=texture2D(coltex, coords);

  gl_FragData[0] = tcol*col;
/*
  gl_FragData[1].r = 1.0;
  gl_FragData[1].r = dist;
*/

  gl_FragData[1].r = dist;


}
